Package org.apache.tools.ant.taskdefs.optional.image

## Class ImageIOTask.ImageFormat

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.taskdefs.optional.image.ImageIOTask.ImageFormat

- Enclosing class:
    ImageIOTask

      public static class ImageIOTask.ImageFormat
      extends EnumeratedAttribute

  defines acceptable image formats.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `value`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ImageFormat()` | Constructor
    `ImageFormat​(java.lang.String value)` | Constructor using a string.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `getValues()` | This is the only method a subclass needs to implement.

    - ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageFormat

          public ImageFormat()

      Constructor

    - #### ImageFormat

          public ImageFormat​(java.lang.String value)

      Constructor using a string.
      Parameters:
        `value` - the value of the attribute

  - ### Method Detail

    - #### getValues

          public java.lang.String[] getValues()

      This is the only method a subclass needs to implement..
      Specified by:
        `getValues` in class `EnumeratedAttribute`
      Returns:
        an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.